## oem-config 1.37.2netbook13dennis2

=== d-i/source/tzsetup/Makefile ===
all: tzmap debian/common.templates
tzmap: gen-templates debian/common.templates.in /usr/share/zoneinfo/zone.tab
	./gen-templates < debian/common.templates.in > debian/common.templates
debian/common.templates: gen-templates debian/common.templates.in /usr/share/zoneinfo/zone.tab
	./gen-templates < debian/common.templates.in > debian/common.templates

clean:
	rm -f tzmap

=== debian/changelog ===
oem-config (1.37.2netbook13dennis2) dennis; urgency=low

  * Clean out a bunch of spurious files that were inadvertently
    added to this package as part of an update a few revisions 
    back (LP: 405477).

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 27 Jul 2009 16:21:23 -0400

oem-config (1.37.2netbook13dennis1) dennis; urgency=low

  * debian/changelog:
    - Bump version number per new version in netbook-common.
      No functional changes required as the change from
      1.37.2netbook12 to 1.37.2netbook13 has already been
      incorporated in the dennis version (refer to changelog
      entry for 1.37.2netbook12dennis15).

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 06 Apr 2009 17:07:51 -0400

oem-config (1.37.2netbook12dennis38) dennis; urgency=low

  * pixmaps/compaq-logo.png:
    - Replace logo with correct grey-color image.

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 01 Apr 2009 14:11:17 -0400

oem-config (1.37.2netbook12dennis37) dennis; urgency=low

  * debian/patches/dennis_ui.patch:
    - Minor tweak to the set-brand script.

 -- Gary Lasker <gary.lasker@canonical.com>  Tue, 31 Mar 2009 17:39:32 -0400

oem-config (1.37.2netbook12dennis36) dennis; urgency=low

  * debian/patches/dennis_ui.patch:
    - Add branding support.  Add script (set-brand) to grab
      branding info from the DMI table and write it to file
      /etc/brand.  Based on the brand, select the corresponding
      logo for display in the setup screens (LP: 348664).
  * pixmaps/compaq-logo.png:
    - Add new logo file for Compaq-branded systems.

 -- Gary Lasker <gary.lasker@canonical.com>  Sun, 29 Mar 2009 22:15:23 -0400

oem-config (1.37.2netbook12dennis35) dennis; urgency=low

  * keyboard-selection-translation.patch: debian/*po for de, es, fr, it, ja, ko
    ru, zh_CN, zh_TW
    - added translations for Keyboard in header, final fix (since 33): LP#342486

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 23 Mar 2009 17:08:54 -0400

oem-config (1.37.2netbook12dennis34) dennis; urgency=low

  * keyboard-selection-translation.patch:
    - gui/glade/oem-config.glade: set pipe symbol to right of "Username" to
      visible

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 23 Mar 2009 16:24:35 -0400

oem-config (1.37.2netbook12dennis33) dennis; urgency=low

  * keyboard-selection-translation.patch: 
    - debian/oem-config.templates: added three strings needed to translate 
      keyboard layouts page
    - debian/po/*: updated po files to pick up new translations of same
    - gui/glade/oem-config.glade: added crumb_keyboard (TODO: translate)
    - lib/components/keyboard.py: added, with appropriate questions
    - lib/frontend/gtk_ui.py: imported keyboard, instantiated that as 
      self.dbfilter, and added crumb_keyboard to self.language_questions

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 19 Mar 2009 12:31:18 -0400

oem-config (1.37.2netbook12dennis32) dennis; urgency=low

  * netbook-to-Mini.patch: debian/po/es.po: changed "Bienvenido!" to "¡Bienvenido!"
    Fixes LP#330600

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 17 Mar 2009 16:32:38 -0400

oem-config (1.37.2netbook12dennis31) dennis; urgency=low

  * netbook-to-Mini.patch: debian/po/es.po: changed "Welcome!" to "Bienvenido!"

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 17 Mar 2009 15:15:01 -0400

oem-config (1.37.2netbook12dennis30) dennis; urgency=low

   * netbook-to-Mini.patch: change "netbook" to "Mini"
     - en.po added this po with this trans change
     - es.po: changed trans
     - other target langs (de, fr, it, ja, ko, ru, zh_CN, zh_TW) need translator
       analysis and will be done post beta &  pre rc
 
 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 17 Mar 2009 14:31:23 -0400

oem-config (1.37.2netbook12dennis29) dennis; urgency=low

  * city_trans.patch:
    make_locale_data_models: building of language specific data models failed
    to retreive city translation when the key was in the form region/city 
    because the translation domain (oem-translations) only uses the city as 
    the msgid. So, I modified this script to search for "/" and if found only 
    use the string to the right, namely the city. Fixes LP#306502.
  * location_combo_translated.patch:
    lib/zoommap.py: 
    - same "/" work as above
    - use gettext python api to look up city trans instead of command line
      gettext, which occasionally yielded garbage chars 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 16 Mar 2009 12:25:23 -0400

oem-config (1.37.2netbook12dennis28) dennis; urgency=low

  * add-keyboard-selection-ui.patch:
    - lib/frontend/gtk_ui.py: restore step_keyboard page into "breadcrumb" trail
  * debian/po: restore (via uncommenting) strings for keyboard selector from 
    target language po files 
  * keybaord_layouts.patch: remove. hard coding from lanugage approach obsolete

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 09 Mar 2009 16:46:28 -0400

=== d-i/source/console-setup/debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: perl, libxml-parser-perl, xkb-data (>= 0.9), keymapper (>= 0.5.3-7)
Build-Depends: debhelper (>= 5), po-debconf
Standards-Version: 3.7.3
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/console-setup
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/console-setup/ubuntu

Package: console-setup
Section: utils
Architecture: all
Recommends: kbd (>= 1.12-15) | console-tools (>= 1:0.2.3dbs-62ubuntu10)
Depends: debconf (>= 0.5) | debconf-2.0, console-terminus (>= 4.16), xkb-data (>= 0.9), initramfs-tools (>= 0.85eubuntu12)
Suggests: lsb-base (>= 3.0-6)
Conflicts: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: Set up the font and the keyboard on the console
 The package provides the Linux console with the same versatile
 keyboard configuration that the X Window System uses.  As a result
 there is no need to duplicate or change the keyboard files just to
 make simple customisations such as the use of dead keys, the key
 functioning as AltGr or Compose key, the key(s) to switch between
 Latin and non-Latin mode, etc.
 .
 The package also contains console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: extra
Architecture: all
Recommends: kbd | console-tools
Depends: debconf (>= 0.5) | debconf-2.0
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup, console-terminus, lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: An experimental micro version of console-setup package
 This package can be useful when Debian system is installed on
 handhelds or other devices with small storage space.  It was created
 as proof of concept for a method to implement versatile keyboard
 configuration in the Debian installer.
 .
 This package supports only UTF-8.  The legacy 8-bit encodings are not
 supported.

Package: bdf2psf
Architecture: all
Section: utils
Priority: optional
Depends: perl
Description: Font converter to generate console fonts from BDF source fonts
 This is a command line converter that can be used in scripts to build
 automatically console fonts from BDF sources.  The converter comes
 with a collection of font encodings that cover many of the world
 languages; notice that the font encoding (so called SFM) does not
 need to follow the actually used encoding (so called ACM).  When the
 source font does not define a glyph for a symbol in the font encoding
 the glyph position in the console font is not wasted but used for
 another symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the 8th column of the glyph matrix of symbols
 positioned in the pseudographic area to the 9th column.  In order to
 create fonts for text video modes the width of the glyph matrix of
 the source BDF font should be 7, 8 or 9 pixels, otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Priority: extra
Depends: console-setup-ekmap, console-setup-fonts-udeb, archdetect, cdebconf-udeb, console-tools-udeb, cdebconf-newt-detect-keys
Provides: keyboard-setup
Architecture: all
Description: Configure the keyboard
 This is an experimental replacement of kbd-chooser.
XC-Package-Type: udeb
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for amiga keyboards
XC-Package-Type: udeb

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for ataritt keyboards
XC-Package-Type: udeb

Package: console-setup-macintoshold-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for macintoshold keyboards
XC-Package-Type: udeb

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for pc keyboards
XC-Package-Type: udeb

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for sun4 keyboards
XC-Package-Type: udeb

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Architecture: all
Description: Encoded keyboard layouts for sun5 keyboards
XC-Package-Type: udeb

Package: console-setup-fonts-udeb
Section: debian-installer
Priority: extra
Architecture: all
Description: Console fonts for Debian Installer
XC-Package-Type: udeb

=== debian/control ===
Source: oem-config
Section: admin
Priority: extra
Maintainer: OEM Custom Solutions Engineering Group <solutions-group@lists.canonical.com>
XSBC-Original-Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: apt, dash, dctrl-tools, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9), intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, libxml-parser-perl, locales, po-debconf (>= 0.5.0), python (>= 2.4), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-gtk2-dev, tzdata, xkb-data (>= 0.9), quilt
Standards-Version: 3.6.2
XS-Python-Version: current, >= 2.4
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/oem-config/trunk

Package: oem-config
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, language-installer, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser, oem-translations
Recommends: hwdb-client
Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone
XB-Python-Version: ${python:Versions}
Description: Perform end-user configuration after initial installation
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.

Package: oem-config-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, oem-config, python-gtk2, python-glade2, python-cairo, metacity, language-selector-common
Suggests: gnome-control-center
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${mangled-version}
XB-Python-Version: ${python:Versions}
Description: GTK+ frontend for end-user post-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a GTK+ frontend to oem-config.

Package: oem-config-kde
Architecture: all
Depends: ${python:Depends}, oem-config, python-qt4, kwin
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${mangled-version}
XB-Python-Version: ${python:Versions}
Description: KDE frontend for end-user post-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a KDE frontend to oem-config.

Package: oem-config-check
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
Description: enter OEM mode if requested

Package: oem-config-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: oem-config-check, cdebconf-udeb
XB-Installer-Menu-Item: 2800
Description: Prepare for end-user configuration after initial installation

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/quilt/quilt.make

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
			sed 's/[][,]//g')
MANGLED_VERSION := $(subst ~,-,$(VERSION))

ifneq ($(VERSION),$(AC_VERSION))
$(warning Version $(VERSION) in debian/changelog does not match $(AC_VERSION) in configure.ac!)
endif

tmp = $(CURDIR)/debian/oem-config

PYTHON := $(shell pyversions -r)

console-setup-depends := console-setup (>= $(shell cd d-i/source/console-setup && dpkg-parsechangelog | awk '/Version:/ {print $$2}'))

update:
	$(MAKE) -C d-i update

update-local:
	$(MAKE) -C d-i update UPDATE_LOCAL=1

d-i/source/console-setup/Keyboard/MyKeyboardNames.pl:
	$(MAKE) -C d-i/source/console-setup/Keyboard MyKeyboardNames.pl \
		xkbdir=/usr/share/X11/xkb

lib/keyboard_names.py: d-i/source/console-setup/Keyboard/MyKeyboardNames.pl
	d-i/make-keyboard-names $< > $@

Makefile:
	PYTHON=$(PYTHON) ./configure --prefix=/usr

build: $(QUILT_STAMPFN) Makefile lib/keyboard_names.py
	$(MAKE)
	$(MAKE) -C d-i build

clean: unpatch
	dh_testdir
	dh_testroot
	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
	$(MAKE) -C d-i clean
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean d-i/source/console-setup/Keyboard/MyKeyboardNames.pl \
		 lib/keyboard_names.py

	$(MAKE) -C d-i check

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	# For the meantime, nearly everything automake wants to install is
	# part of the GTK frontend.
ifndef OEM_CONFIG_NO_GTK
	$(MAKE) install DESTDIR=$(CURDIR)/debian/oem-config-gtk \
		pythondir=\$${prefix}/lib/oem-config \
		pyexecdir=\$${prefix}/lib/oem-config \
		pkgpythondir=\$${prefix}/lib/oem-config/oem_config \
		pkgpyexecdir=\$${prefix}/lib/oem-config/oem_config
	rm -rf debian/oem-config-gtk/usr/share/oem-config/pixmaps
endif
	$(MAKE) -C d-i install
	dh_install -a

	# Bits of manual installation that can't be done by dh_install
	sed -e 's,/usr/share/console-setup-mini/console-setup.config,/var/lib/dpkg/info/console-setup.config,g' \
	    -e 's,^\([[:space:]]*\)update-initramfs,\1: update-initramfs,' \
		d-i/source/console-setup/debian/console-setup.postinst \
		> debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	chmod +x debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	sed -e 's,/target,,g' \
		d-i/source/tzsetup/post-base-installer.d/*tzsetup \
		> debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	chmod +x debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	for x in user-setup user-setup-ask user-setup-apply; do \
		sed -e 's,/usr/lib/user-setup,/usr/lib/oem-config/user,g' \
		    -e 's,/bin/sh,/bin/bash,g' \
			d-i/source/user-setup/$$x \
			> debian/oem-config/usr/lib/oem-config/user/$$x; \
		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
	done

	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config

	dh_installdebconf -a
	echo >> debian/oem-config/DEBIAN/templates
	po2debconf --podir=debian/imported-po \
		debian/oem-config.templates-imported \
		>> debian/oem-config/DEBIAN/templates
	echo >> debian/oem-config/DEBIAN/templates
	cat d-i/templates >> debian/oem-config/DEBIAN/templates
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a -n
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_pycentral -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -- -Vmangled-version='$(MANGLED_VERSION)'
	dh_md5sums -a
	dh_builddeb -a

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -i
	dh_installdebconf -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_pycentral -i
	dh_installdeb -i
	dh_gencontrol -i -- -Vmangled-version='$(MANGLED_VERSION)'
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary

## oem-config 1.37.2netbook13natick2

=== debian/changelog ===
oem-config (1.37.2netbook13natick2) natick; urgency=low

  * debian/patches/no-lang-scroll-resizing.patch:
    - Setting vertical scrollbar to automatic also.  LP #358464

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Fri, 24 Apr 2009 14:24:23 -0300

## oem-config 1.37.2netbook13payson2

=== debian/changelog ===
oem-config (1.37.2netbook13payson2) payson; urgency=low

  * added debian/patches/toshiba-wallpaper.patch to get rid of Heron
    background on initial boot. 

 -- Bill Filler <bill.filler@canonical.com>  Wed, 18 Mar 2009 15:59:54 -0400

oem-config (1.37.2netbook13payson1) payson; urgency=low

  * re-apply debian/patches/toshiba-hostname.patch and comment
    out hostname.patch 

 -- Bill Filler <bill.filler@canonical.com>  Tue, 24 Feb 2009 15:50:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: oem-config
 Section: admin
 Priority: extra
-Maintainer: OEM Custom Solutions Engineering Group <solutions-group@lists.canonical.com>
-XSBC-Original-Maintainer: Colin Watson <cjwatson@ubuntu.com>
+Maintainer: Colin Watson <cjwatson@ubuntu.com>
 Build-Depends: apt, dash, dctrl-tools, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9), intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, libxml-parser-perl, locales, po-debconf (>= 0.5.0), python (>= 2.4), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-gtk2-dev, tzdata, xkb-data (>= 0.9), quilt
 Standards-Version: 3.6.2
 XS-Python-Version: current, >= 2.4
@@ -10,7 +9,7 @@
 
 Package: oem-config
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, language-installer, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser, oem-translations
+Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser, language-installer
 Recommends: hwdb-client
 Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
 Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone

=== debian/rules ===
--- 
+++ 
@@ -86,7 +86,8 @@
 	done
 
 	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
-
+	cp debian/oem-config.upstart $(tmp)/etc/disabled-event.d/oem-config
+	
 	dh_installdebconf -a
 	echo >> debian/oem-config/DEBIAN/templates
 	po2debconf --podir=debian/imported-po \

## oem-config 1.53

=== debian/changelog ===
oem-config (1.53) intrepid; urgency=low

  * KDE frontend:
    - Hardcode command line (including setting the Oxygen style) rather than
      passing sys.argv to KCmdLineArgs, which will include options that KDE
      doesn't understand (LP: #218144).
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Oct 2008 13:53:28 +0100

oem-config (1.52) intrepid; urgency=low

  [ Colin Watson ]
  * Reset debian-installer/country if the language is changed, as otherwise
    we can end up defaulting to an inappropriate country for the language.
  * Stop defaulting to the timezone from /etc/timezone or /etc/localtime, as
    this has a nasty habit of overriding the usual defaults for countries
    with multiple timezone choices (LP: #283861).
  * Update translations from Launchpad.
  * Automatic update of included source packages: user-setup 1.20ubuntu10.

  [ Evan Dandrea ]
  * Pull timezone map changes from ubiquity:
    - Iterate through a list of nearby timezones on click, rather than
      selecting the absolute closest timezone to the pointer.
    - Stop scrolling the timezone map once the mouse is outside its
      boundaries (LP: #251231).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2008 19:45:48 +0100

oem-config (1.51) intrepid; urgency=low

  * Log messages from update-rc.d rather than throwing them away.
  * Fix intltool handling; po/Makefile.in.in was still coming from gettext.
    Pass no-xml to IT_PROG_INTLTOOL so that we don't need to build-depend on
    libxml-parser-perl.
  * Add a comment to /etc/init.d/oem-config to explain the purpose of the
    oem-config-firstboot check.
  * Disable window minimise buttons when running in standalone mode at first
    boot (LP: #249045).
  * Run oem-config in debugging mode if 'debug-oem-config' is set on the
    kernel command line.
  * Update translations from Launchpad.
  * Automatic update of included source packages: user-setup 1.20ubuntu9.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Oct 2008 21:25:16 +0100

oem-config (1.50) intrepid; urgency=low

  * Change "Automatically sign in" to "Log in automatically", to match
    wording elsewhere (LP: #266995).
  * Automatic update of included source packages: localechooser 2.03ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 12:33:39 +0100

oem-config (1.49) intrepid; urgency=low

  [ Jonathan Riddell ]
  * In oem-config-prepare fix option between kdesu and kdesudo

  [ Colin Watson ]
  * Update check for python-codegen-2.0 to instead use
    pygobject-codegen-2.0. The former disappeared as of pygtk
    2.13.0-0ubuntu1 in favor of this. (From the same change in ubiquity by
    Mario Limonciello.)
  * Build-depend on python-gobject-dev (>= 2.15.1) for
    pygobject-codegen-2.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Sep 2008 19:16:43 +0100

oem-config (1.48) intrepid; urgency=low

  * Update oem-config-dm for KDE 4
  * Update kde_ui for intrepid wallpaper
  * Change kde_ui into a KApplication, so it picks up the KDE widget style
  * Fix i18n in kde_ui
  * Use kdesu not kdesudo by default, kdesudo seems unreliable
  * Set icons not text on next button, we have no i18n'ed text
  * Automatic update of included source packages: console-setup
    1.25ubuntu3, user-setup 1.20ubuntu6.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Sep 2008 12:59:23 +0100

oem-config (1.47) intrepid; urgency=low

  * Add a vile hack to avoid clashing with kernel-helper over the debconf
    database lock. Filed LP #261543 to document that we need to do something
    better.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Aug 2008 18:35:39 +0100

oem-config (1.46) intrepid; urgency=low

  * Suppress user-setup's encrypted private directory question in OEM mode.
  * Move oem-config init script link from 12 to 29 so that it starts after
    hal.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Aug 2008 14:21:05 +0100

oem-config (1.45) intrepid; urgency=low

  [ Colin Watson ]
  * Restore lost change from 1.38:
    - Don't fail to set the locale if the mirror/country question doesn't
      exist.
  * Add oem to /usr/lib/oem-config/user/reserved-usernames (see LP #251056).
  * Add sensible --version output and output our version to oem-config.log.
  * Automatic update of included source packages: localechooser 2.03ubuntu2,
    user-setup 1.20ubuntu4.

  [ Michael Terry ]
  * Set LANG in /etc/default/locale even if it isn't there already
    (LP: #249550).
  * Ensure that some widget is focused after changing page (LP: #241367).
  * Add an auto-login option, currently GTK-only (LP: #241372).

  [ Evan Dandrea ]
  * Do not try to set localechooser/alreadyrun.  It is no longer used.
  * Also remove the langlevel file if it exists before we start
    localechooser.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Aug 2008 13:00:18 +0100

oem-config (1.44) intrepid; urgency=low

  * Create /var/lib/localechooser directory, otherwise localechooser
    completely breaks.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Jul 2008 20:11:02 +0100

oem-config (1.43) intrepid; urgency=low

  [ Colin Watson ]
  * Adjust Brazilian and Japanese keyboard models when applying the keyboard
    layout on the fly (LP: #217140).
  * Remove po/.intltool-merge-cache and po/stamp-po on clean.
  * Update the FSF's address in a few more places.
  * Use kdesudo for the KDE frontend where available.
  * Upgrade to current autotools in Intrepid, including libtool 2.2.
  * Automatic update of included source packages: console-setup 1.25ubuntu2,
    localechooser 2.03ubuntu1, user-setup 1.20ubuntu3.

  [ Jonathan Riddell ]
  * Update KDM config file for KDE 4 and remove kpersonaliser references

  [ Evan Dandrea ]
  * Update the language component to reflect changes to localechooser.
  * Use OVERRIDE_SHOW_ALL_LANGUAGES in the localechooser wrapper
    (LP: #249795).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Jul 2008 19:33:13 +0100



=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: admin
 Priority: extra
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: apt, dash, dctrl-tools, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9), intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, libxml-parser-perl, locales, po-debconf (>= 0.5.0), python (>= 2.4), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-gtk2-dev, tzdata, xkb-data (>= 0.9), quilt
+Build-Depends: apt, dash, dctrl-tools, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9), intltool (>= 0.40.0), intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, locales, po-debconf (>= 0.5.0), python (>= 2.4), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-gobject-dev (>= 2.15.1), python-gtk2-dev, tzdata, xkb-data (>= 0.9)
 Standards-Version: 3.6.2
 XS-Python-Version: current, >= 2.4
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/oem-config/trunk
 
 Package: oem-config
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser, language-installer
-Recommends: hwdb-client
+Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser
+Recommends: hwtest
 Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
 Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone
 XB-Python-Version: ${python:Versions}
@@ -23,7 +23,8 @@
 
 Package: oem-config-gtk
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, oem-config, python-gtk2, python-glade2, python-cairo, metacity, language-selector-common
+Depends: ${shlibs:Depends}, ${python:Depends}, oem-config, python-gtk2, python-glade2, python-cairo, metacity
+Recommends: hwtest-gtk
 Suggests: gnome-control-center
 Replaces: oem-config (<< 1.0)
 Provides: oem-config-frontend-${mangled-version}
@@ -39,7 +40,7 @@
 
 Package: oem-config-kde
 Architecture: all
-Depends: ${python:Depends}, oem-config, python-qt4, kwin
+Depends: ${python:Depends}, oem-config, python-kde4, kde-window-manager, kdesudo
 Replaces: oem-config (<< 1.0)
 Provides: oem-config-frontend-${mangled-version}
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #! /usr/bin/make -f
-
-include /usr/share/quilt/quilt.make
 
 VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
 AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
@@ -16,6 +14,11 @@
 PYTHON := $(shell pyversions -r)
 
 console-setup-depends := console-setup (>= $(shell cd d-i/source/console-setup && dpkg-parsechangelog | awk '/Version:/ {print $$2}'))
+
+ifeq (,$(strip $(foreach dir,$(subst :, ,$(PATH)),$(wildcard $(dir)/pygobject-codegen-2.0))))
+$(warning pygobject-codegen-2.0 missing; disabling GTK frontend)
+export OEM_CONFIG_NO_GTK := 1
+endif
 
 update:
 	$(MAKE) -C d-i update
@@ -33,14 +36,15 @@
 Makefile:
 	PYTHON=$(PYTHON) ./configure --prefix=/usr
 
-build: $(QUILT_STAMPFN) Makefile lib/keyboard_names.py
+build: Makefile lib/keyboard_names.py
 	$(MAKE)
 	$(MAKE) -C d-i build
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
+	rm -f po/.intltool-merge-cache po/stamp-po
 	$(MAKE) -C d-i clean
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean d-i/source/console-setup/Keyboard/MyKeyboardNames.pl \
@@ -62,12 +66,14 @@
 		pyexecdir=\$${prefix}/lib/oem-config \
 		pkgpythondir=\$${prefix}/lib/oem-config/oem_config \
 		pkgpyexecdir=\$${prefix}/lib/oem-config/oem_config
+	rm -f debian/oem-config-gtk/usr/share/oem-config/desktop/oem-config-prepare-kde.desktop
 	rm -rf debian/oem-config-gtk/usr/share/oem-config/pixmaps
 endif
 	$(MAKE) -C d-i install
 	dh_install -a
 
 	# Bits of manual installation that can't be done by dh_install
+	sed -i 's/@VERSION@/$(VERSION)/g' debian/oem-config/usr/sbin/oem-config
 	sed -e 's,/usr/share/console-setup-mini/console-setup.config,/var/lib/dpkg/info/console-setup.config,g' \
 	    -e 's,^\([[:space:]]*\)update-initramfs,\1: update-initramfs,' \
 		d-i/source/console-setup/debian/console-setup.postinst \
@@ -84,10 +90,15 @@
 			> debian/oem-config/usr/lib/oem-config/user/$$x; \
 		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
 	done
+	echo oem >> debian/oem-config/usr/lib/oem-config/user/reserved-usernames
+	set -e; for x in languagemap localechooser; do \
+		sed 's,/usr/share/localechooser,/usr/lib/oem-config/language,g' \
+			d-i/source/localechooser/$$x \
+			> debian/oem-config/usr/lib/oem-config/language/$$x; \
+		chmod +x debian/oem-config/usr/lib/oem-config/language/$$x; \
+	done
 
 	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
-	cp debian/oem-config.upstart $(tmp)/etc/disabled-event.d/oem-config
-	
 	dh_installdebconf -a
 	echo >> debian/oem-config/DEBIAN/templates
 	po2debconf --podir=debian/imported-po \

## oem-config 1.54.13

=== debian/changelog ===
oem-config (1.54.13) jaunty; urgency=low

  [ Roman Shtylman ]
  * Updated the timezone map from ubiquity (LP: #360652), including copying
    CairoExtensions from ubiquity/segmented_bar.py.
  * Moved common artwork files from oem-config-gtk/oem-config-kde to
    oem-config.

  [ Colin Watson ]
  * Preseed tzsetup/selected up-front rather than filtering it and then
    preseeding it; filtering it causes the backup state to be reset, which
    causes an infinite loop when backing up from the timezone page when the
    default country only has one timezone (LP: #361674).
  * Preseed passwd/auto-login-backup=oem in the udeb, so that the original
    configuration files are available for restoration (LP: #361272).
  * Automatic update of included source packages: user-setup 1.23ubuntu20.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Apr 2009 15:41:12 +0100

oem-config (1.54.12) jaunty; urgency=low

  * Sync with console-setup 1.28ubuntu8: treat the Kazakhstan layout (kz) as
    non-Latin (LP: #356816).
  * Work around a debconf bug which broke the default time zone for some
    countries: REGISTER does not appear to give a newly-registered question
    the same default as the question associated with its template, unless we
    also RESET it, so do that (LP: #356794).
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup 1.28ubuntu8,
    user-setup 1.23ubuntu18.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 10:03:54 +0100

oem-config (1.54.11) jaunty; urgency=low

  * GTK frontend:
    - Use the full size of the underlying images for the timezone map if the
      screen is big enough.
    - Fix spacing on timezone page (LP: #336745).
  * Don't pass the debconf PURGE command through debconffilter, since we
    don't know the owner of the package calling it (see LP #354534).
  * Update translations from Launchpad.
  * Automatic update of included source packages: user-setup 1.23ubuntu16.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Apr 2009 21:36:39 +0100

oem-config (1.54.10) jaunty; urgency=low

  [ Colin Watson ]
  * Tighten frontend dependencies on oem-config to prevent problems when one
    architecture is out of sync.
  * Set passwd/auto-login=true rather than implementing auto-login ourselves
    (LP: #347900).
  * Suggest checkbox/checkbox-gtk rather than recommending
    hwtest/hwtest-gtk.
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup 1.28ubuntu7,
    user-setup 1.23ubuntu15.

  [ Evan Dandrea ]
  * Update the timezone_map to match changes in ubiquity (more accurate
    city placement).
  * Merge in the new KDE time zone map from ubiquity.  Thanks Roman
    Shtylman.

  [ Mario Limonciello ]
  * Change the number of columns in the language icon view to 5.  This 
    should make it fit in 1024x600. (LP: #347350)
  * Remove old hack in gtk frontend to only show scrollbars on language 
    selector when it would be larger than the desktop.  With the hack taken 
    out, the scrollbars aren't showing up on 800x576, which is likely the 
    lowest supportable resolution.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Mar 2009 16:31:14 +0100

oem-config (1.54.9) jaunty; urgency=low

  [ Evan Dandrea ]
  * Add missing errno import.
  * Merge in the new timezone widget from ubiquity (LP: #335557).
  * Fix 'resize if too big for screen' logic (LP: #341758).  Thanks Michael
    Terry!

  [ Colin Watson ]
  * GTK frontend:
    - Full-screen the window when --only is used - i.e. more or less always,
      except for testing. The extra screen real estate makes the timezone
      map, among other widgets, easier to use. (Ported from Evan Dandrea's
      similar change to Ubiquity; the KDE frontend needed no change as in
      oem-config it's always full-screen.)
    - Use stock preferences-system icon (thanks, Michael Terry;
      LP: #341770).
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Mar 2009 01:22:18 +0000

oem-config (1.54.8) jaunty; urgency=low

  * debconf frontend:
    - Fix typo: "oem-config/text/task_heading_label" should have been
      "oem-config/text/tasks_heading_label".
    - Explicitly stop our debconf frontend just before exiting, to avoid
      leaving a zombie if tasksel installs some package that starts a daemon
      that doesn't disconnect from fd 3.
  * Remove obsolete local copy of DebconfCommunicator. We just rely on a new
    enough debconf now.
  * Automatic update of included source packages: console-setup 1.28ubuntu6.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Mar 2009 18:26:26 +0000

oem-config (1.54.7) jaunty; urgency=low

  [ Evan Dandrea ]
  * Give the proper return value in the user component's run function
    (LP: #334281).

  [ Colin Watson ]
  * Automatic update of included source packages: localechooser 2.09ubuntu2,
    user-setup 1.23ubuntu14.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 01 Mar 2009 11:50:24 +0000

oem-config (1.54.6) jaunty; urgency=low

  * Only call setxkbmap if DISPLAY is set.
  * Don't show the "Who are you?" page just because the auto-login question
    is asked and not preseeded (LP: #328281).
  * Handle user-setup's new weak password detection.
  * Add forgotten oem-config/text/network_heading_label template.
  * Add a "tasks" component (only usable in the debconf frontend at the
    moment) that runs tasksel.
  * Check whether /usr/lib/network-manager/ifblacklist_migrate.sh exists
    before running it.
  * Fix copying of debian-installer/framebuffer to /target in
    oem-config-udeb: debconf-dumpdb returns "(null)" as the value if the
    question has never been set.
  * Automatic update of included source packages: user-setup 1.23ubuntu12.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Feb 2009 23:38:31 +0000

oem-config (1.54.5) jaunty; urgency=low

  * Move most debconf-communicator handling into BaseFrontend, to make it


=== debian/control ===
Source: oem-config
Section: admin
Priority: extra
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: apt, bf-utf-source, dash, dctrl-tools, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9.0), intltool (>= 0.40.0), intltool-debian (>= 0.30+20040212), iso-codes, isoquery, libart-2.0-dev, libbogl-dev, libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), libglib2.0-dev, libgtk2.0-dev, libiw-dev (>= 27+28pre9-1), locales, po-debconf (>= 0.5.0), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-gobject-dev (>= 2.15.1), python-gtk2-dev, tzdata, xkb-data (>= 0.9)
Standards-Version: 3.6.2
XS-Python-Version: current, >= 2.4
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/oem-config/trunk

Package: oem-config
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser
Suggests: checkbox
Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone, oem-config-gtk (<< 1.54.13), oem-config-kde (<< 1.54.13)
XB-Python-Version: ${python:Versions}
Description: Perform end-user configuration after initial OEM installation
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.

Package: oem-config-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, oem-config (= ${binary:Version}), xserver-xorg, python-gtk2, python-glade2, python-cairo, metacity
Suggests: checkbox-gtk, gnome-control-center
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${mangled-version}
XB-Python-Version: ${python:Versions}
Description: GTK+ frontend for end-user post-OEM-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a GTK+ frontend to oem-config.

Package: oem-config-kde
Architecture: all
Depends: ${python:Depends}, oem-config (= ${binary:Version}), xserver-xorg, python-kde4, kde-window-manager, kdesudo
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${mangled-version}
XB-Python-Version: ${python:Versions}
Description: KDE frontend for end-user post-OEM-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a KDE frontend to oem-config.

Package: oem-config-debconf
Architecture: all
Depends: ${python:Depends}, oem-config (= ${binary:Version}), debconf (>= 1.5.24ubuntu2) | cdebconf, bogl-bterm (>= 0.1.18-2ubuntu4), tasksel
Provides: oem-config-frontend-${mangled-version}
XB-Python-Version: ${python:Versions}
Description: debconf frontend for end-user post-OEM-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a frontend to oem-config that simply arranges for questions to be
 asked using the normal debconf frontend.

Package: oem-config-check
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
Description: enter OEM mode if requested

Package: oem-config-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: oem-config-check, cdebconf-udeb
XB-Installer-Menu-Item: 2800
Description: Prepare for OEM configuration

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #! /usr/bin/make -f
 
 VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
+EXPECTED_AC_VERSION := $(shell echo "$(VERSION)" | cut -d. -f1,2)
 AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
 			sed 's/[][,]//g')
 MANGLED_VERSION := $(subst ~,-,$(VERSION))
 
-ifneq ($(VERSION),$(AC_VERSION))
+ifneq ($(EXPECTED_AC_VERSION),$(AC_VERSION))
 $(warning Version $(VERSION) in debian/changelog does not match $(AC_VERSION) in configure.ac!)
 endif
 
@@ -83,6 +84,9 @@
 		d-i/source/tzsetup/post-base-installer.d/*tzsetup \
 		> debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
 	chmod +x debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
+	sed -i -e 's,db_input medium tzsetup/selected,db_input high tzsetup/selected,' \
+	       -e 's,/usr/share/tzsetup/tzmap,/usr/lib/oem-config/timezone/tzmap,g' \
+		debian/oem-config/usr/lib/oem-config/timezone/tzsetup
 	for x in user-setup user-setup-ask user-setup-apply; do \
 		sed -e 's,/usr/lib/user-setup,/usr/lib/oem-config/user,g' \
 		    -e 's,/bin/sh,/bin/bash,g' \
@@ -90,6 +94,8 @@
 			> debian/oem-config/usr/lib/oem-config/user/$$x; \
 		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
 	done
+	sed -i -e 's,db_input high user-setup/encrypt-home,db_input medium user-setup/encrypt-home,' \
+		debian/oem-config/usr/lib/oem-config/user/user-setup-ask
 	echo oem >> debian/oem-config/usr/lib/oem-config/user/reserved-usernames
 	set -e; for x in languagemap localechooser; do \
 		sed 's,/usr/share/localechooser,/usr/lib/oem-config/language,g' \
@@ -97,6 +103,8 @@
 			> debian/oem-config/usr/lib/oem-config/language/$$x; \
 		chmod +x debian/oem-config/usr/lib/oem-config/language/$$x; \
 	done
+	sed -i 's/\\\$${!TAB}/ /g' \
+		debian/oem-config/usr/lib/oem-config/language/localechooser
 
 	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
 	dh_installdebconf -a
@@ -109,7 +117,6 @@
 	dh_installdocs -a
 	dh_installchangelogs -a
 	dh_installinit -a -n
-	dh_link -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
@@ -129,7 +136,6 @@
 	dh_installdebconf -i
 	dh_installdocs -i
 	dh_installchangelogs -i
-	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_pycentral -i
